# DB
quarkus.datasource.db-kind=postgresql
quarkus.datasource.username=${database.user}
quarkus.datasource.password=${database.pass}
quarkus.datasource.reactive.url=postgresql://${database.hostname}:${database.port}/${database.database}?charset=utf8mb4

quarkus.hibernate-orm.database.generation=update
quarkus.hibernate-orm.physical-naming-strategy=fr.titionfire.ffsaf.data.SafcaNamingStrategy

quarkus.hibernate-orm.dialect=fr.titionfire.ffsaf.data.CustomPostgreSQLDialect

quarkus.http.cors=true
quarkus.quartz.start-mode=forced

%dev.pdf-maker.jar-path=src\\main\\pdf_gen\\target\\pdf_gen-1.0-SNAPSHOT-jar-with-dependencies.jar
pdf-maker.jar-path=/work/make_pdf.jar
pdf-maker.sign-file=/work/sign.jpg
%dev.quarkus.log.min-level=ALL
%dev.quarkus.log.category."fr.titionfire.ffsaf".level=ALL

quarkus.oidc.auth-server-url=https://auth.safca.fr/realms/safca
quarkus.oidc.client-id=backend
quarkus.oidc.credentials.secret=secret
quarkus.oidc.tls.verification=required
quarkus.oidc.application-type=hybrid
quarkus.oidc.roles.source=accesstoken

quarkus.http.limits.max-body-size=10M

quarkus.swagger-ui.always-include=true
quarkus.swagger-ui.title=FFSAF API

email.enabled=false

database.prefix = test2_
database.database=ffsaf
database.hostname=localhost
database.port=3306
database.user=root
database.pass=

notif.affRequest.mail=

siren-api.key=siren-ap
quarkus.rest-client."fr.titionfire.ffsaf.rest.client.SirenService".url=https://data.siren-api.fr/

#Login
quarkus.oidc.token-state-manager.split-tokens=true
quarkus.oidc.token.refresh-expired=true
quarkus.oidc.token.refresh-token-time-skew=1m

quarkus.oidc.authentication.redirect-path=/api/auth/login
quarkus.oidc.logout.path=/api/logout
quarkus.oidc.logout.post-logout-path=/

# Only the authenticated users can initiate a logout:
quarkus.http.auth.permission.authenticated.paths=api/logout,api/auth/login
quarkus.http.auth.permission.authenticated.policy=authenticated

# All users can see the welcome page:
quarkus.http.auth.permission.public.paths=/index.html
quarkus.http.auth.permission.public.policy=permit
quarkus.keycloak.admin-client.server-url=https://auth.safca.fr


quarkus.native.resources.includes=asset/**

# HelloAsso Connector
helloasso.api=https://api.helloasso.com
helloasso.client-id=changeme
helloasso.client-secret=changeme

quarkus.rest-client.helloasso-auth.url=${helloasso.api}/oauth2
quarkus.rest-client.helloasso-auth.scope=javax.inject.Singleton

quarkus.rest-client.helloasso-api.url=${helloasso.api}/v5
